#include <QtWidgets>
#include <QtWebEngineWidgets>

#ifdef QT_DIAG_LIB
#  include <qwindowdump.h>
#  include <qwidgetdump.h>
#endif

int main(int argc, char **argv)
{
    QApplication a(argc, argv);
    QStringList args = a.arguments();
    args.pop_front();
    QString t = QLatin1String(QT_VERSION_STR) +  QLatin1Char(' ') + QGuiApplication::platformName();
    QMdiArea mdi;
    mdi.setObjectName("Mdi");
    mdi.setWindowTitle(t);

    qDebug() << t << args;
    QWidget *widget = new QWidget;
    widget->setObjectName("Native Widget");
    widget->setMinimumSize(QSize(100, 100));
    mdi.addSubWindow(widget)->setObjectName("MdiSub" + widget->objectName());

    QWebEngineView *view = new QWebEngineView;
    view->setObjectName("WebEngineView");
    mdi.addSubWindow(view)->setObjectName("MdiSub" + view->objectName());
    view->load(QUrl("http://qt.io"));

    mdi.show();
    if (!args.contains("-w"))
        qDebug() << "winId" << widget->winId();

#ifdef QT_DIAG_LIB
    QtDiag::dumpAllWindows();
    QtDiag::dumpAllWidgets();
#endif

    return a.exec();
}
